# vim:ft=muttrc:
my_hdr From: Gabriel Ebner <ge@gabrielebner.at>

set folder=imaps://gebner@mail.gabrielebner.at/

mailboxes /var/mail/gebner +outbox +postponed +maybe-spam

define(`md_target', `muttrc_mboxes')
include(`maildirs.m4') dnl '

set mbox=+INBOX
set move
set postponed=+postponed
set postpone
set record=+outbox
set copy

define(`md_target', `muttrc_subscr')
include(`maildirs.m4') dnl '

# Various options
set pipe_decode=no
set charset=utf8
set header_cache=~/.mutt/hcache

set editor='vim "+se ft=mail"'
set signature=~/.signature.ml
set crypt_autoencrypt=no
set crypt_autosign=no

#set sidebar_visible
#set sidebar_width=25
set pager_index_lines=7

# GnuPG

set pgp_sign_as=0xFC3509A0
set pgp_timeout=3600

include(`gpg.rc') dnl '`

# News
set news_cache_dir="~/.mutt/newsspool"
set newsrc="~/.mutt/newsrc-%s"

set sort=threads
set sort_aux=date-sent
set folder_format="%2C %N %-40.40f %d"

# Header formatting
ignore *
unignore from date subject bcc cc to       # standard headers
unignore x-crm114-status                   # crm114

hdr_order from to cc bcc date subject x-crm114-status

color header brightcyan  default ^(From|Date|Subject):

# Colors
color normal	white black
color attachment brightyellow black
color hdrdefault cyan black
color indicator black cyan
color markers	brightred black
color quoted	green black
color signature cyan black
color status	brightgreen blue
color tilde	blue black
color tree	red black
color header	brightgreen black ^From:
color header	brightcyan black ^To:
color header	brightcyan black ^Reply-To:
color header	brightcyan black ^Cc:
color header	brightblue black ^Subject:
color body	brightred black [\-\.+_a-zA-Z0-9]+@[\-\.a-zA-Z0-9]+
color body	brightblue black (https?|ftp)://[\-\.,/%~_:?&=\#a-zA-Z0-9]+

# Key bindings:
#   F2	    news.gmane.org
#   F3	    news.chello.at

macro generic <f2>  "<enter-command>set news_server=news.gmane.org<enter>"
macro generic <f3>  "<enter-command>set news_server=news.chello.at<enter>"

#   F9	    requeue
#   F10	    queue as non-spam
#   F11	    queue as spam
#   F12	    process queues (out of order atm)

macro generic <f9>  "<save-message><kill-line>=queue-requeue<enter>y"
macro generic <f10> "<save-message><kill-line>=queue-unspam<enter>y"
macro generic <f11> "<save-message><kill-line>=queue-spam<enter>y"

source ~/.mutt/aliases
